commit:     ed703d14ee82c5b4281bf81c67b189a8379efb68
Author:     Wade Cline <wadecline <AT> hotmail <DOT> com>
AuthorDate: Mon Mar  3 06:09:28 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar  3 11:11:26 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed703d14

net-irc/inspircd: add 4.6.0

Signed-off-by: Wade Cline <wadecline <AT> hotmail.com>
Closes: https://github.com/gentoo/gentoo/pull/40860
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-irc/inspircd/Manifest              |   2 +
 net-irc/inspircd/inspircd-4.6.0.ebuild | 113 +++++++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/net-irc/inspircd/Manifest b/net-irc/inspircd/Manifest
index 67b4436624b2..1698ca8b1890 100644
--- a/net-irc/inspircd/Manifest
+++ b/net-irc/inspircd/Manifest
@@ -6,3 +6,5 @@ DIST inspircd-4.4.0-fix-build-paths.patch.bz2 4708 BLAKE2B 
f27de1c9617c862d69156
 DIST inspircd-4.4.0.tar.gz 1023377 BLAKE2B 
5555a87056909ea198127464bb69134ac5f174128f5508efb421373f73cea57984f9637ad521c254c4580cf4a19f5673fbac4c73f61005fb69f6964a9f5823ac
 SHA512 
242f02ffea0c9913847dc30ca8114ad10b5739de800a03f010d00c9fe9b68e99ed6c997b5bf6f6b9f85d5de28d35aa3118d58b2e38d0dc69d1ae82a539b172ac
 DIST inspircd-4.5.0-fix-build-paths.patch.bz2 4706 BLAKE2B 
cfdb4a3b85c1ea42098afd23ced2c79466141ec57996383cc0a70692a79dc42a92d38a47e66e0b861a35fa3894a99eb552284da38eba3f56a7f6dcc3323458ca
 SHA512 
87cbf89fc1be1f9fd97da25faba3e20c77980d7b2a60ba377e9e1b99697de3657dd7cab9f7d1d3e8ecaa04eec11dd366b7253251428efe23e91b56e15e6184de
 DIST inspircd-4.5.0.tar.gz 1022091 BLAKE2B 
9b9f24163eed1275035f48a53621ecbb257f26388cd4e900d209639efba7c1bf0b0165c6da7b3cdc8d6ac428c643ae89cab1051cee2cdf4c1c4e6980f5c7e81b
 SHA512 
5cee1b2506ee4560cf519db9076d5e931c8a3ee0fda1bbb6ec3ee5f435a357d24cbe34ac4a99b082da1415bf1ab35eb7f7c2a7ae23f54af9e32e9757c099e060
+DIST inspircd-4.6.0-fix-build-paths.patch.bz2 4512 BLAKE2B 
e0ec7318e6ca3edb3ef643e1ae126aabb24a426a2938a2d3eba6293a16220e8b38f85442b77874d6af42b65ca3cf33cd4642ac24e620d771287b8d54a852b3a4
 SHA512 
225603d49854534b6b04984c6f82c508a75c8a0f22ad5aa9d2008988408bfd54c4148ea322a885e05f8c9dbe18c10692366524a4304717382800fb4263d84394
+DIST inspircd-4.6.0.tar.gz 1024697 BLAKE2B 
a22ba1a2603b0de6117198a540770cf5c51c96d9ad87b07b93f0604a03f6238c4b3bc5eaf5d2b083f3117b2b09e6cdef1d154475cf2f4f4ed291203cc098d638
 SHA512 
559eab2d00934e621e9613b383aff10a21ea94800c2dcbf3647d4d2b2a4aede5ef0e50aef79bf146efee00bff856899bd0ca2f8c2ce77d521506ac8576cdce28

diff --git a/net-irc/inspircd/inspircd-4.6.0.ebuild 
b/net-irc/inspircd/inspircd-4.6.0.ebuild
new file mode 100644
index 000000000000..8c393d7d475f
--- /dev/null
+++ b/net-irc/inspircd/inspircd-4.6.0.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit readme.gentoo-r1 systemd toolchain-funcs
+
+DESCRIPTION="Inspire IRCd - The Stable, High-Performance Modular IRCd"
+HOMEPAGE="https://www.inspircd.org/";
+SRC_URI="
+       https://github.com/inspircd/inspircd/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+       
https://github.com/clinew/gentoo-distfiles/raw/master/inspircd-${PV}-fix-build-paths.patch.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="argon2 debug gnutls ldap log-json maxminddb mysql pcre2 postgres re2 
regex-posix sqlite ssl sslrehashsignal syslog"
+
+RDEPEND="
+       acct-group/inspircd
+       acct-user/inspircd
+       dev-lang/perl
+       net-libs/libpsl
+       argon2? ( app-crypt/argon2 )
+       gnutls? ( net-libs/gnutls:= dev-libs/libgcrypt:0 )
+       ldap? ( net-nds/openldap:= )
+       log-json? ( dev-libs/yyjson )
+       maxminddb? ( dev-libs/libmaxminddb:= )
+       mysql? ( dev-db/mysql-connector-c:= )
+       pcre2? ( dev-libs/libpcre2 )
+       postgres? ( dev-db/postgresql:= )
+       re2? ( dev-libs/re2:= )
+       sqlite? ( >=dev-db/sqlite-3.0 )
+       ssl? ( dev-libs/openssl:= )"
+DEPEND="${RDEPEND}"
+
+DOC_CONTENTS="
+       You will find example configuration files under /usr/share/doc/${PN}.\n
+       Read the ${PN}.conf file carefully before starting the service."
+DOCS=( docs/. .configure/apparmor )
+PATCHES=( "${WORKDIR}"/${P}-fix-build-paths.patch )
+
+src_configure() {
+       local extras=""
+
+       use argon2 && extras+="argon2,"
+       use gnutls && extras+="ssl_gnutls,"
+       use ldap && extras+="ldap,"
+       use log-json && extras+="log_json,"
+       use maxminddb && extras+="geo_maxmind,"
+       use mysql && extras+="mysql,"
+       use pcre2 && extras+="regex_pcre2,"
+       use postgres && extras+="pgsql,"
+       use re2 && extras+="regex_re2,"
+       use regex-posix && extras+="regex_posix,"
+       use sqlite && extras+="sqlite3,"
+       use ssl && extras+="ssl_openssl,"
+       use sslrehashsignal && extras+="sslrehashsignal,"
+       use syslog && extras+="log_syslog,"
+
+       # The first configuration run enables certain "extra" InspIRCd
+       # modules, the second run generates the actual makefile.
+       if [[ -n ${extras} ]]; then
+               ./configure --enable-extras=${extras%,} || die
+       fi
+
+       local myconf=(
+               --disable-auto-extras
+               --disable-ownership
+               --system
+               --uid ${PN}
+               --gid ${PN}
+               --binary-dir="/usr/bin"
+               --data-dir="/var/lib/${PN}/data"
+               --example-dir="/usr/share/doc/${P}"
+               --manual-dir="/usr/share/man"
+               --module-dir="/usr/$(get_libdir)/${PN}/modules")
+       CXX="$(tc-getCXX)" ./configure "${myconf[@]}" || die
+}
+
+src_compile() {
+       emake LDFLAGS="${LDFLAGS}" CXXFLAGS="${CXXFLAGS}" $(usev debug 
INSPIRCD_DEBUG=2) INSPIRCD_VERBOSE=1
+}
+
+src_install() {
+       default
+
+       insinto "/usr/include/${PN}"
+       doins -r include/.
+
+       newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+       newconfd "${FILESDIR}/${PN}.confd" "${PN}"
+       systemd_dounit .configure/inspircd.service
+
+       keepdir "/var/log/${PN}"
+       insinto "/etc/logrotate.d"
+       newins .configure/logrotate "${PN}"
+
+       diropts -o"${PN}" -g"${PN}" -m0700
+       keepdir "/var/lib/${PN}/data"
+
+       readme.gentoo_create_doc
+
+       rmdir "${ED}"/run{/inspircd,} || die
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+       if has_version "net-irc/atheme-services"; then
+               ewarn "Atheme does not work with InspIRCd version 4"
+               ewarn "See: https://github.com/atheme/atheme/issues/904";
+       fi
+}

Reply via email to